Bug 125768 - Enermax EHD-350 USB enclosure locks system
Enermax EHD-350 USB enclosure locks system
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-11 02:54 EDT by Joe Pepersack
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:29:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Pepersack 2004-06-11 02:54:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7)
Gecko/20040605 Firefox/0.8.0+

Description of problem:
After attaching EnerMax EHD-350 USB 2.0 enclosure with Maxtor 40G HD
(Model 6L040J2) installed, the system locks up erratically, regardless
of whether the external drive filesystem is mounted or not.

The drive worked long enough to run fdisk and mkfs, then started
making system lock.  External drive is /dev/sda1

System was stable before attaching enclosure and appears to be stable
now that it has been detached.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1. Attach external drive /dev/sdc1 , mount as /mnt/usbdrive
2. access local scsi drive: du -sh /home
3. Kaboom
    

Actual Results:  System hangs, requires hard reset to recover.

Expected Results:  system should not hang

Additional info:

Jun 11 02:09:42 argonath kernel: sym53c895-0-<0,0>: ordered tag forced.
Jun 11 02:10:24 argonath kernel: scsi : aborting command due to
timeout : pid 13434, scsi0, channel 0, id 0, lun 0 Read (10) 00 00 7b
f1 f8 00 00 10 00
Jun 11 02:10:24 argonath kernel: sym53c8xx_abort: pid=13434
serial_number=13435 serial_number_at_timeout=13435
Jun 11 02:10:24 argonath kernel: scsi : aborting command due to
timeout : pid 13435, scsi0, channel 0, id 0, lun 0 Read (10) 00 00 7b
f2 10 00 00 28 00
Jun 11 02:10:24 argonath kernel: sym53c8xx_abort: pid=13435
serial_number=13436 serial_number_at_timeout=13436
Jun 11 02:10:27 argonath kernel: SCSI host 0 abort (pid 13434) timed
out - resetting
Jun 11 02:10:27 argonath kernel: SCSI bus is being reset for host 0
channel 0.
Jun 11 02:10:27 argonath kernel: sym53c8xx_reset: pid=13434
reset_flags=2 serial_number=13435 serial_number_at_timeout=13435
Jun 11 02:10:27 argonath kernel: sym53c895-0: restart (scsi reset).
Jun 11 02:10:27 argonath kernel: sym53c895-0: Downloading SCSI SCRIPTS.
Jun 11 02:14:12 argonath kernel: kjournald starting.  Commit interval
5 seconds
Jun 11 02:14:12 argonath kernel: EXT3 FS 2.4-0.9.19, 19 August 2002 on
sd(8,33), internal journal
Jun 11 02:14:12 argonath kernel: EXT3-fs: mounted filesystem with
ordered data mode.
Jun 11 02:14:31 argonath kernel: Unable to handle kernel paging
request at virtual address 0000c9f9
Jun 11 02:14:31 argonath kernel:  printing eip:
Jun 11 02:14:31 argonath kernel: c0145746
Jun 11 02:14:31 argonath kernel: *pde = 00000000
Jun 11 02:14:31 argonath kernel: Oops: 0000
Jun 11 02:14:31 argonath kernel: parport_pc lp parport autofs e100
floppy sg microcode usb-storage loop keybdev mousedev hid input
ehci-hcd usb-ohci usb-uhci usbcore ext3 jbd lvm-mod sym53c8x
Jun 11 02:14:31 argonath kernel: CPU:    0
Jun 11 02:14:31 argonath kernel: EIP:    0060:[<c0145746>]    Not tainted
Jun 11 02:14:31 argonath kernel: EFLAGS: 00010206
Jun 11 02:14:31 argonath kernel:
Jun 11 02:14:31 argonath kernel: EIP is at get_hash_table [kernel]
0x56 (2.4.22-1.2188.nptl)
Jun 11 02:14:31 argonath kernel: eax: c1720000   ebx: 10401820   ecx:
c1726080   edx: 0000c9f5
Jun 11 02:14:31 argonath kernel: esi: 0008000c   edi: 0000000f   ebp:
00003a00   esp: d425fe2c
Jun 11 02:14:31 argonath kernel: ds: 0068   es: 0068   ss: 0068
Jun 11 02:14:31 argonath kernel: Process du (pid: 1462,
stackpage=d425f000)
Jun 11 02:14:31 argonath kernel: Stack: df9e4000 00003a00 00001000
0008000c c0145d60 00003a00 0008000c 00001000
Jun 11 02:14:31 argonath kernel:        df9e4000 00000200 0000a780
0008000c c0146050 00003a00 0008000c 00001000
Jun 11 02:14:31 argonath kernel:        c1754ab0 e086b6ab 00003a00
0008000c 00001000 df9e4000 cd9e3880 00000010
Jun 11 02:14:31 argonath kernel: Call Trace:   [<c0145d60>] getblk
[kernel] 0x30 (0xd425fe3c)
Jun 11 02:14:31 argonath kernel: [<c0146050>] bread [kernel] 0x20
(0xd425fe5c)
Jun 11 02:14:31 argonath kernel: [<e086b6ab>] ext3_get_inode_loc
[ext3] 0xfb (0xd425fe70)
Jun 11 02:14:31 argonath kernel: [<e086b7db>] ext3_read_inode [ext3]
0x1b (0xd425fe9c)
Jun 11 02:14:31 argonath kernel: [<c015ad52>] iget4_locked [kernel]
0xe2 (0xd425feb8)
Jun 11 02:14:31 argonath kernel: [<e086cf2b>] ext3_lookup [ext3] 0xbb
(0xd425fee0)
Jun 11 02:14:31 argonath kernel: [<c014eda7>] real_lookup [kernel]
0xc7 (0xd425ff04)
Jun 11 02:14:31 argonath kernel: [<c014f476>] link_path_walk [kernel]
0x576 (0xd425ff20)
Jun 11 02:14:31 argonath kernel: [<c014fab9>] path_lookup [kernel]
0x39 (0xd425ff60)
Jun 11 02:14:31 argonath kernel: [<c014fd59>] __user_walk [kernel]
0x49 (0xd425ff70)
Jun 11 02:14:31 argonath kernel: [<c014bc0f>] sys_lstat64 [kernel]
0x1f (0xd425ff8c)
Jun 11 02:14:31 argonath kernel: [<c0142c6b>] sys_fchdir [kernel] 0x4b
(0xd425ffa0)
Jun 11 02:14:31 argonath kernel: [<c0109747>] system_call [kernel]
0x33 (0xd425ffc0)
Jun 11 02:14:31 argonath kernel:
Jun 11 02:14:31 argonath kernel:
Jun 11 02:14:31 argonath kernel: Code: 39 72 04 89 d1 75 f3 0f b7 42
08 3b 44 24 1c 75 e9 66 39 6a
Comment 1 David Lawrence 2004-09-29 16:29:06 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.